fop 2.3

## org.apache.fop.render.bitmap
Class TIFFRendererConfig

    java.lang.Object
      org.apache.fop.render.bitmap.BitmapRendererConfig
          org.apache.fop.render.bitmap.TIFFRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class TIFFRendererConfig

extends BitmapRendererConfig

The renderer configuration object for the TIFF renderer.

Nested Class Summary
`static class` `TIFFRendererConfig.TIFFRendererConfigParser` The TIFF renderer configuration parser.
`static class` `TIFFRendererConfig.TIFFRendererOption`

Nested classes/interfaces inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig
`BitmapRendererConfig.BitmapRendererConfigParser`

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`TIFFCompressionValue` `getCompressionType()`
`org.apache.xmlgraphics.image.writer.Endianness` `getEndianness()`
`java.lang.Boolean` `isSingleStrip()`

Methods inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig
`getBackgroundColor, getColorMode, getFontInfoConfig, hasAntiAliasing, hasTransparentBackround, isRenderHighQuality`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompressionType

    public TIFFCompressionValue getCompressionType()

### isSingleStrip

    public java.lang.Boolean isSingleStrip()

  Returns:
    True if all rows are contained in a single strip, False each strip contains one row or null if not set.

### getEndianness

    public org.apache.xmlgraphics.image.writer.Endianness getEndianness()

  Returns:
    returns an object to determine whether little or big endian encoding is used

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.